@import "../../styles/variables";

.vendor{
  position: relative;
  background-color: white;
  border-radius: 6px;
  max-width: 600px;
  overflow: hidden;
  margin: 1rem auto;
  box-shadow: 0 2px 12px 0 $card-shadow;

  .vendor__header{
    position: relative;

    .vendor__logo{
      display: flex;
      border-radius: 8px;
      align-items: center;
      position: absolute;
      background-color: white;
      bottom: -16px;
      right: 8px;
      padding: 4px;
    }
  }


  .vendor__details{

    padding: 1.2rem 1rem;

    .vendor__details__row{
      display: flex;
      justify-content: space-between;
    }

    .vendor__description{
      font-size: $text-small;
      margin: 0.5rem 0;
    }

    .vendor__title{
      font-size: $text-medium;
    }

    .vendor__delivery{
      color: $text-color-light;
      font-size: $text-small;
      margin-left: 0.5rem;
    }

    .vendor__price{
      font-size: $text-small;
    }

    .vendor__review{
      font-size: $text-small;
      .vendor__review__rate{
        background-color: $light-limeade-color;
        margin-right: 0.2rem;
        display: inline-flex;
        align-items: center;
        color: $star-color;
        padding: 0 5px;

        .vendor__review__rate__icon{
          margin-right: 0.5rem;
        }
      }
      .vendor__review__count{
        color: $text-color-light;
      }
    }
  }

}